import es
import time
import soccer.soccer as soccerlib
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "Soccer Goal Slay Script"
info.version = soccerlib.info.version
info.basename = "soccergoalslay"
info.author = "chrismrulz"

soccerlib.restrictstat('Jumping On Goals')
allowedtime = time.strptime(soccerlib.config["GoalSlay"]["allowedtime"], "%M:%S")
allowedtime = int(time.strftime('%M', allowedtime)) * 60 + int(time.strftime('%S', allowedtime))
cglist = {}

def load():
  es.msg('#Green', 'Soccer Slay Script On - by Toph')
  soccerlib.hook(countcg, 'goaltop1')
  soccerlib.hook(countcg, 'goaltop2')

def unload():
  es.msg('#Green', 'Soccer Slay Script Off')

def round_start(event_var):
  cglist.clear()

def countcg(userid):
  steamid = es.getplayersteamid(userid)
  name = es.getplayername(userid)
  if not len(cglist):
    cglist[steamid] = 0
  cgtime = int(time.time())
  cg2possval = int(cglist[steamid])
  if(cg2possval != 0):
    cgtime -= cg2possval
    global allowedtime
    if(cgtime > allowedtime):
      if((cgtime - allowedtime) > 2):
        cglist[steamid] = int(time.time())
        es.tell(userid, "#multi", '#greenWarning to player#lightgreen %s #greenyou have %s seconds to get back on the field.' % (name, allowedtime))
      else:
        soccerlib.slay(userid)
        es.msg("#multi", '#greenPlayer#lightgreen %s #greenslayed for jumping on the goals.' % name)
        if(es.getInt('soccerstats_enabled') == 1):
          soccerlib.incstat(steamid, name, 'Jumping On Goals')
  else:
    cglist[steamid] = cgtime
    es.tell(userid, "#multi", '#greenWarning to player#lightgreen %s #greenyou have %s seconds to get back on the field.' % (name, allowedtime))